#include "Camera.h"

CCamera::CCamera(void)
{
	m_vEye.init(0.f, 3.f, 0.f);
	m_vLookAt.init(0.f,0.f,0.f);
	m_vUp.init(0.f,1.f,0.f);
}

CCamera::~CCamera(void)
{
}

void CCamera::setCamera(Point3f object, bool state)
{
	if(state)
	{
		m_vEye.x = object.x;
		m_vEye.y = object.y+0.2;
		m_vEye.z = object.z+2;
	}
	else
	{
		m_vEye.x = object.x;
		m_vEye.y = object.y+10;
		m_vEye.z = object.z;
	}

	m_vLookAt = object;
}